WinFuture-Forum.de: Probleme bei Visual C++ 2017 Redistributable - WinFuture-Forum.de

Zum Inhalt wechseln

Windows 10: Alle News, der Download sowie zahlreiche Screenshots und Videos zum neuen Betriebssystem von Microsoft. Jetzt im WinFuture Windows 10 - Special informieren!
Seite 1 von 1

Probleme bei Visual C++ 2017 Redistributable

#1 Mitglied ist offline   ViperAC 

  • Gruppe: Mitglieder
  • Beiträge: 3
  • Beigetreten: 28. Mai 18
  • Reputation: 0

geschrieben 28. Mai 2018 - 18:52

Guten Abend Community,

ich habe seit einigen Tagen Probleme beim Starten von Rainbow Six Siege und laut Ubisoft benötige ich das "Microsoft Visual C++ 2017 Redistributable Package". Dies habe ich versucht zu installiert, allerdings kam eine solche Fehlermeldung: http://prntscr.com/jnpfe3

Anschließend habe ich es über "Windows Install CleanUp" vollständig entfernt und versucht erneut zu installieren. Dies funktionierte auch zum teil, aber das Spiel ließ sich immer noch nicht starten. In dem Moment wo es starten soll erscheint es Blackscreen und anschließend bin ich wieder in der Spielebibliothek.

Wenn ich das o.g. Paket reparieren möchte, erhalte ich diese Fehlermeldungen: http://prntscr.com/jnpg4z

Jemand eine Idee wie ich meine Probleme beheben kann? Neuinstallation habe ich aktuell eher wenig Lust drauf :P

Informationen:
- Windows 10 64bit
- aktuelle Updates sind installiert
- Virenschutz deaktiviert, keine Lösung.
- Und ja, die Mindestanforderungen für das Spiel erfülle ich, alle anderen Spiele funktionieren auch einwandfrei
- Neuinstallation vom Spiel hat ebenfalls nix gebracht

Vielen Dank vorab!

Grüße,
Daniel
0

Anzeige

#2 Mitglied ist offline   Gispelmob 

  • Gruppe: aktive Mitglieder
  • Beiträge: 1.596
  • Beigetreten: 14. August 15
  • Reputation: 134

geschrieben 28. Mai 2018 - 20:18

Welches Microsoft Visual C++ 2017 Redistributable Package ist das denn? Mitgeliefert vom Spiel oder das von MS?

Irgendwie versucht das bei dir nach einer Version 14.12.X zu schauen die nicht existiert. Eventuell einfach mal diesen Ordner anlegen und install mit admin

Dieser Beitrag wurde von Gispelmob bearbeitet: 28. Mai 2018 - 20:21

0

#3 Mitglied ist offline   ViperAC 

  • Gruppe: Mitglieder
  • Beiträge: 3
  • Beigetreten: 28. Mai 18
  • Reputation: 0

geschrieben 28. Mai 2018 - 20:37

Versucht habe ich beide. Bei der von MS gibt er mir diesen Fehler: http://prntscr.com/jnqysh

Ich hab auch eben alle Visual C++ Versionen deinstalliert, neugestartet, mit CCleaner die Registry auf Fehler überprüft, wieder neugestartet und mit diesem AiO-Installer alles neu installiert. Die 2017er ist da anscheinend nicht mit bei, weshalb ich die vom Spiel bzw. die von MS genutzt habe, aber dann kommt der Fehler. Sehr merkwürdig alles - und das von heut' auf morgen...
0

#4 Mitglied ist offline   RalphS 

  • Gruppe: VIP Mitglieder
  • Beiträge: 8.115
  • Beigetreten: 20. Juli 07
  • Reputation: 902

geschrieben 29. Mai 2018 - 00:31

Da liegt irgendwo ein Kommunikationsproblem vor.

VS2015 = 14.x
VS2017 = 15.x

Die Laufzeiten sind über den Dateinamen versioniert und sonst auch inkompatibel, sprich, wenn eine Anwendung nach VS14.x verlangt, dann muß man die in der Architektur des Spiels auch installieren, sonst geht es nicht.


** Also entweder feststellen, ob das Spiel in 32 oder in 64bit kompiliert ist, und rauskriegen, ob die 14er oder die 15er Laufzeit benötigt wird, ODER

** frei Schnauze VS14/32, VS14/64, VS15/32 *und* VS15/64 installieren (Pakete bei Microsoft holen, die haben die aktuellsten).

Dann sollte es gehen.
"If you give a man a fish he is hungry again in an hour. If you teach him to catch a fish you do him a good turn."-- Anne Isabella Thackeray Ritchie

Eingefügtes Bild
Eingefügtes Bild
0

#5 Mitglied ist offline   DK2000 

  • Gruppe: Administration
  • Beiträge: 18.185
  • Beigetreten: 19. August 04
  • Reputation: 996

geschrieben 29. Mai 2018 - 08:42

Beitrag anzeigenZitat (RalphS: 29. Mai 2018 - 00:31)

VS2015 = 14.x
VS2017 = 15.x

Nicht ganz, weil das wäre ja für Microsoft viel zu einfach:

VS2015 and updates 1, 2, & 3	vcredist 14.00
VS2017, version 15.1 & 15.2	vcredist 14.10
VS2017, version 15.3 & 15.4	vcredist 14.11
VS2017, version 15.5    	vcredist 14.12
VS2017, version 15.6            vcredist 14.13
VS2017, version 15.7    	vcredist 14.14


Eine vcredist mit der Version 15.x ist mir da so bewusst noch nicht untergekommen.

Das Spiel sollte ja irgendwo im Setup- oder Installationsverzeichnis einen Hinweis haben, welches Paket genau benötigt wird. Dann wäre das geklärt. So wie ich das aber verstehe, benötigt das Speil die Runtimes für VS2010 bzw. VS2012, je nach Update. Aber so ganz bin ich da noch nicht durchgestiegen. Dir Runtimes für VS2017 sind da wohl viel zu neu.

Was jetzt aber noch offen bleibt ist, warum sich die Pakete nicht installieren lassen? Die Setups erwarten da etwas vorzufinden, was aber wohl nicht da ist oder auf das nicht zugegriffen werden kann. Dafür gab oder gibt es doch ein FixIt von Microsoft für Windows 10. Das "Windows Install CleanUp Utility" ist ja hier keine gute Wahl mehr und wird von Mircrosoft auch schon seit Langem nicht mehr angeboten.

Welche Fehlermeldung kommt denn bei dem Spiel?
Nutella hat nur sehr wenig Vitamine.
Deswegen muss man davon relativ viel essen.
0

#6 Mitglied ist offline   ViperAC 

  • Gruppe: Mitglieder
  • Beiträge: 3
  • Beigetreten: 28. Mai 18
  • Reputation: 0

geschrieben 29. Mai 2018 - 13:08

Vielen Dank für eure Antworten!

Ich selber blicke bei diesen ganzen Paketen absolut nicht durch und bin immer froh, wenn das Spiel die benötigten Paketen selber installiert. Das hat es ja auch damals, deshalb ist mir nicht klar, wieso das Spiel auf einmal nicht mehr ging. Ein Fehler wurde vom Spiel selber nicht angezeigt, es wurde einfach nicht gestartet...

Ich war es diese Nacht echt leid und hab Windows 10 neu aufgesetzt. Es funktioniert wieder alles.

Vielen Dank für die Hilfe! :)
0

Thema verteilen:


Seite 1 von 1

1 Besucher lesen dieses Thema
Mitglieder: 0, Gäste: 1, unsichtbare Mitglieder: 0